OnlyFans API
OnlyFansAI Fan Summaries

Get Fan Summary

Retrieve the AI profile summary for a fan. Poll this endpoint after triggering a generation to check for completion.

GET
/api/{account}/fans/{fan_id}/summary
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

fan_id*string

Fan's OnlyFans ID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/fans/123456789/summary"
{
  "status": "completed",
  "summary_data": {
    "name": "Jane Doe",
    "preferred_name": "Jane",
    "family_pets": "Has a golden retriever named Max",
    "travel_plans": "Planning a trip to Bali",
    "kinks": "",
    "hobbies": "Yoga, photography",
    "content_preferences": "Behind the scenes content",
    "content_dislikes": "Not into feet content",
    "themes": "",
    "requests": "",
    "interests": "Fitness, travel",
    "other_notes": "",
    "spend_cadence": "Mostly tips on Fridays; said he can't buy anything this month anymore — June",
    "dos_and_donts": "Never mention his wife"
  },
  "analyzed_message_count": 42,
  "last_analyzed_at": "2026-03-19T12:00:00+00:00",
  "last_buy_date": "2026-03-15T18:30:00+00:00",
  "error_message": null,
  "custom_fields": [
    {
      "key": "custom_gift_preferences",
      "label": "Gift Preferences"
    }
  ]
}